%if %mdkversion < 1010
%define __libtoolize /bin/true
%endif

Summary:	KDE frontend for the Clam AntiVirus virus scanner
Name:		klamav
Version:	0.17
Release:	%mkrel 1
License:	GPL
Group:		File tools
URL:		http://sourceforge.net/projects/klamav/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		klamav-0.17-default-db-dir.diff.bz2
BuildRequires:	kdelibs-devel
BuildRequires:	chrpath
Requires:	clamav
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
KlamAV provides ClamAV protection for the KDE desktop. It includes
'on access' scanning, manual scanning, quarantine management,
downloading of updates, mail scanning, and automated installation.

%prep

%setup -q
%patch0 -p0

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}

%configure2_5x

%make

%install
rm -Rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}/{%{_menudir},%{_miconsdir},%{_liconsdir}}
kdedesktop2mdkmenu.pl %{name} "System/File Tools" %{buildroot}/%{_datadir}/applnk/Utilities/klamav.desktop %{buildroot}/%{_menudir}/%{name}
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/klamav

%post
%update_menus

%postun
%clean_menus

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/%{name}.png
%{_datadir}/applnk/Utilities/klamav.desktop
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/doc/HTML/en/klamav02/
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Apr 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- 0.17
- rediff P0
- nuke rpath
* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1
- use the %%mkrel macro
- fix description
- fix P0, in another place

* Fri Oct 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.06-1mdk
- 0.06

* Tue Sep 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.05-1mdk
- first Mandrake package
- p0 to use our clamav-db path
